/*
 *  $Id: recvf.c,v 1.3 1993/11/12 12:35:07 doss Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

/* recv.c */
/* Fortran interface file for sun4 */
#include "mpi.h"
void mpi_recv_( start, count, datatype, source, tag, comm, status, ierr)
void             *start;
int              *count;
int              *datatype;
int              *source;
int              *tag;
int              *status;
int              *comm;
int              *ierr;
{
    MPI_Comm comm2;
    MPI_Datatype     datatype2;
    if (*comm == 0) comm2 = MPI_COMM_WORLD;
    else            comm2 = 0;
    if (*datatype == 0) datatype2 = MPI_DOUBLE;
    else                datatype2 = 0;
    *ierr = MPI_Recv(start,*count,datatype2,*source,*tag,comm2,status);
}
